Expand my Community achievements bar.

Enhance your AEM Assets & Boost Your Development: [AEM Gems | June 19, 2024] Improving the Developer Experience with New APIs and Events
SOLVED

AEM forms core components core bundle not starting

Avatar

Level 4

Hey everyone, I'm trying to install the forms core components and am having a bit trouble getting the core bundle started.

 

I'm on 6.5 with service pack 16 installed as well as the latest forms add-on package.

 

I've followed the instructions here to enable adaptive forms core components and have got most of the way. For some reason though, the core bundle won't start as it's missing some dependencies:

alistairp781078_0-1679066302049.png

 

Does anyone know if there's an easy or obvious way to get those dependencies installed on my 6.5 instance to be able to run that bundle?

1 Accepted Solution

Avatar

Correct answer by
Community Advisor

Hi @alistairp781078,

This will not gonna work on AEM 6.5.16 or other on premise version. And it's not related to the dependencies version in your pom.

Starting form 2.0.0 version of AEM Core Forms Components it is AEM as a Cloud Service oriented.

Please note that documentation you have mention is a AEM as a Cloud Service documentation. This version of AEM is using different type of AEM Forms add on, which is delivered as .far file. The missing dependencies are provided as part of aem-forms-addon-.far but it's not compatible with AEM 6.5.x

Below is link to specific section:

Browsing git history you can find that 1.1.12 was the last one that will work with AEM 6.5.X, here is the specific commit

So the solution for you, will be to use AEM Core Forms Components, version 1.1.12

You will need to build the crx package by you self. Simply download the code, unzip it and run mvn clean install. This will build the package you can install manually via crx package manager. Or use mvn clean install -PautoInstallPackage command to build and automatically install the package.

Here is the final result AEM Core Forms Components 1.1.12 bundles, up and running on AEM 6.5.16

aem-forms-core-cmp-bundles.jpg

In case you wanted to use 2.x.x AEM Core Forms Components you will have to move to AEM as a Cloud Service.

View solution in original post

6 Replies

Avatar

Community Advisor

@alistairp781078  can you ping the version that you are using in pom.xml can you try below version of AEM forms for SDK 

 

<dependency>
<groupId>com.adobe.aem</groupId>
<artifactId>aem-forms-sdk-bundle</artifactId>
<version>6.5.0</version>
</dependency>
<dependency>
<groupId>com.adobe.forms.foundation</groupId>
<artifactId>forms-foundation-api</artifactId>
<version>6.5.0</version>
<scope>provided</scope>
</dependency>

I'm using the following versions:

<core.forms.components.version>2.0.8</core.forms.components.version>
<core.wcm.components.version>2.21.2</core.wcm.components.version>
 
I'm also not able to download the aem-forms-sdk-bundle and forms-foundation-api dependencies from Maven central.

Avatar

Correct answer by
Community Advisor

Hi @alistairp781078,

This will not gonna work on AEM 6.5.16 or other on premise version. And it's not related to the dependencies version in your pom.

Starting form 2.0.0 version of AEM Core Forms Components it is AEM as a Cloud Service oriented.

Please note that documentation you have mention is a AEM as a Cloud Service documentation. This version of AEM is using different type of AEM Forms add on, which is delivered as .far file. The missing dependencies are provided as part of aem-forms-addon-.far but it's not compatible with AEM 6.5.x

Below is link to specific section:

Browsing git history you can find that 1.1.12 was the last one that will work with AEM 6.5.X, here is the specific commit

So the solution for you, will be to use AEM Core Forms Components, version 1.1.12

You will need to build the crx package by you self. Simply download the code, unzip it and run mvn clean install. This will build the package you can install manually via crx package manager. Or use mvn clean install -PautoInstallPackage command to build and automatically install the package.

Here is the final result AEM Core Forms Components 1.1.12 bundles, up and running on AEM 6.5.16

aem-forms-core-cmp-bundles.jpg

In case you wanted to use 2.x.x AEM Core Forms Components you will have to move to AEM as a Cloud Service.

Avatar

Level 4

Thank you, @lukasz-m, this is really helpful! I'll give the older version of the forms core components a go.

Avatar

Level 4

Looks like 1.x.x contains the container component to export the form data/structure to a frontend application but doesn't contain the form components (eg checkbox, textfield). Do you know if there are any plans to release these for the on-prem version in the future?

Avatar

Employee

Hi @alistairp781078 ,

The issue that you are reporting here is for AEM Forms 6.5.x On-Prem OR AEMFaaCS ?

I have also encountered a similar error for AEM Forms 6.5.17 On- Prem Instance and was able to fix the issue.

Please let me know.

Thanks,
Utkarsh